import type { _GCController } from "./GCController.js";
import type { _GCMicroGamepad } from "./GCMicroGamepad.js";
import type { _NSData } from "../Foundation/NSData.js";
export declare class _GCMicroGamepadSnapshot extends _GCMicroGamepad {
    static alloc(): _GCMicroGamepadSnapshot;
    static new(): _GCMicroGamepadSnapshot;
    init(): _GCMicroGamepadSnapshot;
    initWithSnapshotData$(data: _NSData): _GCMicroGamepadSnapshot;
    initWithController$snapshotData$(controller: _GCController, data: _NSData): _GCMicroGamepadSnapshot;
    snapshotData(): _NSData;
    setSnapshotData$(value: _NSData): void;
}
